using System;
using System.Drawing;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using AddinExpress.OL;
using System.Collections.Specialized;
using System.Text;
  
namespace adx_ol_cs_paneEvents
{
    public partial class EventForm : AddinExpress.OL.ADXOlForm
    {
        private StringCollection events = new StringCollection();

        public EventForm()
        {
            InitializeComponent();

            switch ((AddinExpress.MSO.ADXAddinModule.CurrentInstance as AddinModule).HostMajorVersion)
            {
                case 9:
                    label1.Text = "In the menu, choose any of the following items to see" +
                        " how to process corresponding events:\n" +
                        "View / Folder List \n" +
                        "View / Outlook Bar \n" +
                        "View / Preview Pane \n";
                    break;
                case 10:
                    label1.Text = "In the menu, choose any of the following items to see" +
                        " how to process corresponding events:\n" +
                        "View / Folder List \n" +
                        "View / Outlook Bar \n" +
                        "View / Preview Pane \n";
                    break;
                case 11:
                    label1.Text = "In the menu, choose any of the following items to see" +
                        " how to process corresponding events:\n" +
                        "View / Navigation Pane \n" +
                        "View / Reading Pane / Right \n" +
                        "View / Reading Pane / Bottom \n" +
                        "View / Reading Pane / Off \n";
                    break;
                case 12:
                    label1.Text = "In the menu, choose any of the following items to see" +
                        " how to process corresponding events:\n" +
                        "View / Navigation Pane / Normal \n" +
                        "View / Navigation Pane / Minimized \n" +
                        "View / Navigation Pane / Off \n" +
                        "View / Reading Pane / Right \n" +
                        "View / Reading Pane / Bottom \n" +
                        "View / Reading Pane / Off \n" +
                        "View / ToDo Bar / Normal \n" +
                        "View / ToDo Bar / Minimized \n" +
                        "View / ToDo Bar / Off \n";
                    break;
                case 14:
                    label1.Text = "In the menu, choose any of the following items to see" +
                        " how to process corresponding events:\n" +
                        "View / Navigation Pane / Normal \n" +
                        "View / Navigation Pane / Minimized \n" +
                        "View / Navigation Pane / Off \n" +
                        "View / Reading Pane / Right \n" +
                        "View / Reading Pane / Bottom \n" +
                        "View / Reading Pane / Off \n" +
                        "View / ToDo Bar / Normal \n" +
                        "View / ToDo Bar / Minimized \n" +
                        "View / ToDo Bar / Off \n";
                    break;
                case 15:
                    label1.Text = "In the menu, choose any of the following items to see" +
                        " how to process corresponding events:\n" +
                        "View / Navigation Pane / Normal \n" +
                        "View / Navigation Pane / Minimized \n" +
                        "View / Navigation Pane / Off \n" +
                        "View / Reading Pane / Right \n" +
                        "View / Reading Pane / Bottom \n" +
                        "View / Reading Pane / Off \n" +
                        "View / ToDo Bar / Normal \n" +
                        "View / ToDo Bar / Minimized \n" +
                        "View / ToDo Bar / Off \n";
                    break;
            }
        }

        public void AddEvent(string eventString)
        {
            events.Insert(0, eventString);
            if (events.Count > 5)
                events.RemoveAt(5);
            StringBuilder eventsText = new StringBuilder();
            for (int i = 0; i < events.Count; i++)
                eventsText.Append(events[i] + Environment.NewLine);
            textBox1.Text = eventsText.ToString();
        }
    }
}
