using System;
using System.Drawing;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using AddinExpress.OL;
  
namespace adx_ol_cs_paneEvents
{
    public partial class ADXOlForm1 : AddinExpress.OL.ADXOlForm
    {
        public ADXOlForm1()
        {
            InitializeComponent();
        }

        private void ADXOlForm1_ADXBeforeFormShow()
        {
            label1.Text = "This form is shown in the ";
            switch (this.Item.ExplorerLayout)
            {
                case AddinExpress.OL.ADXOlExplorerLayout.BottomNavigationPane:
                    label1.Text = label1.Text + "NavigationPane";
                    break;
                case AddinExpress.OL.ADXOlExplorerLayout.BottomOutlookBar:
                    label1.Text = label1.Text + "Outlook Bar";
                    break;
                case AddinExpress.OL.ADXOlExplorerLayout.BottomTodoBar:
                    label1.Text = label1.Text + "ToDo Bar";
                    break;
                case AddinExpress.OL.ADXOlExplorerLayout.TopReadingPane:
                case AddinExpress.OL.ADXOlExplorerLayout.BottomReadingPane:
                case AddinExpress.OL.ADXOlExplorerLayout.LeftReadingPane:
                case AddinExpress.OL.ADXOlExplorerLayout.RightReadingPane:
                    label1.Text = label1.Text + "ReadingPane";
                    break;
            }
        }
    }
}
